Name:           qxmledit
Version:        0.7.2
Release:        %mkrel 1
Summary:        Simple XML editor
Group:          Editors
License:        GPLv2
URL:            http://code.google.com/p/qxmledit
Source:         http://qxmledit.googlecode.com/files/%{name}-%{version}-src.tgz
Patch1:         qxmledit-0.7.2-fix-install-dir.patch
Patch2:         qxmledit-0.7.2-fix-UNIX_DOC_PATH.patch
Patch3:         qxmledit-0.7.2-fix-string-literal.patch

BuildRequires:  qt4-devel


%description
QXmlEdit is a simple XML editor written in qt4, it is not a complete and full
featured editor; if you need such an editor you will find a lot of programs
perfectly working.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
sed -i -e "s#LIBDIR#%{_libdir}#" src/*.pro
%qmake_qt4 QXmlEdit.pro
%make

%install
%__rm -rf %buildroot
%make INSTALL_ROOT=%{buildroot} install

ln -sf %{_bindir}/QXmlEdit %{buildroot}%{_bindir}/%{name}

%__install -Dm 0644 ./src/images/icon.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%__install -Dm 0644 ./src/images/icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%__mkdir_p %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Name=QXmlEdit
GenericName=Simple XML Editor
Comment=Simple XML Editor
Type=Application
Exec=QXmlEdit %u
Icon=qxmledit
Categories=Qt;Utility;TextEditor;
MimeType=text/xml;application/xml;
StartupNotify=true
Terminal=false
EOF


%files
%doc AUTHORS COPYING DISTRIBUTING GPLV3.txt LGPLV3.txt INSTALL NEWS README ROADMAP TODO doc/QXmlEdit_manual.pdf
%{_bindir}/QXmlEdit
%{_bindir}/%{name}
%{_libdir}/libQXmlEditWidget.so*
%{_datadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_iconsdir}/hicolor/*/*/%{name}.*


%changelog

* Fri Mar 02 2012 lmenut <lmenut> 0.7.2-1.mga2
+ Revision: 216962
- update to 0.7.2
  + rediff patches 1 & 2
  + add patch 3 to fix format string error

* Sat Jan 21 2012 lmenut <lmenut> 0.6.2-1.mga2
+ Revision: 199146
- update to 0.6.2

* Tue Jan 03 2012 lmenut <lmenut> 0.6.1-1.mga2
+ Revision: 189833
- update to 0.6.1

* Sun Dec 11 2011 lmenut <lmenut> 0.5.4-1.mga2
+ Revision: 180631
- imported package qxmledit

